Bug 100272 - LOO Crashed when using Grid at a Dialog
Summary: LOO Crashed when using Grid at a Dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
5.2.0.0.beta1
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2016-06-08 12:19 UTC by Ronny Kunze
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Python script (5.59 KB, text/x-python)
2016-06-08 12:19 UTC, Ronny Kunze
Details
Backtrace (35.74 KB, text/x-log)
2016-06-08 12:21 UTC, Ronny Kunze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ronny Kunze 2016-06-08 12:19:51 UTC
Created attachment 125550 [details]
Sample Python script

When using external Pythonscript connected via the UNO-Bridge to show a Dialog with an Gridview it crashes the whole LOO

Added an example . When the Dialog is shown and the width of the column is changed and a then a new row is added LOO will crash .
Comment 1 Ronny Kunze 2016-06-08 12:21:33 UTC
Created attachment 125551 [details]
Backtrace
Comment 2 Ronny Kunze 2016-06-08 12:34:39 UTC
Comment on attachment 125551 [details]
Backtrace

started with 
soffice "--accept=pipe,name=librecon;urp;StarOffice.Servicemanager" --backtrace
Comment 3 Joel Madero 2016-06-09 03:22:07 UTC
Hi Ronny,

I don't know what to do to confirm the bug but it would be nice if you tried installing older versions to find out if this is a regression or not (if it is, it'd be nice to highlight that fact soon with "regression" in the keyword)

http://downloadarchive.documentfoundation.org/libreoffice/old/
Comment 4 Buovjaga 2016-06-11 13:55:31 UTC
I could repro the crash, but only with gtk3 backend.

Repro steps used:
1. Start LibO with SAL_USE_VCLPLUGIN=gtk3 soffice "--accept=pipe,name=abraxas;urp;StarOffice.Servicemanager"
2. Run the script with python test_grid.py
3. Click the "Click me" button
4. Change the width of the column

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: e1ca24369142af3e721e789bf757be671e1905b7
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on June 10th 2016
Comment 5 Commit Notification 2016-06-11 14:54:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f32ba56a1e775e8ecd6c827ebd48f7f2fb51c81

Resolves: tdf#100272 row ally index is ROW_INVALID

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-06-11 14:55:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=652026f0e2f9c323229151e854ad6591791e098e&h=libreoffice-5-2

Resolves: tdf#100272 row ally index is ROW_INVALID

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-06-14 10:39:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c8051d533be8d6cd63ce384fdf92b96971279fd&h=libreoffice-5-1

Resolves: tdf#100272 row ally index is ROW_INVALID

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.